package com.yaoyicloud.easier.common.core.constant;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

/**
 * 服务名称
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-12-18 17:18
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class ServiceNameConstants {

    /**
     * AUTH 中心
     */
    public static final String AUTH_SERVICE = "easier-auth";

    /**
     * WORKSPACE 中心
     */
    public static final String WORKSPACE_SERVICE = "easier-workspace-biz";

    /**
     * FILEREPO 中心
     */
    public static final String FILEREPO_SERVICE = "easier-filerepo-biz";

    /**
     * WAREHOUSE 中心
     */
    public static final String WAREHOUSE_SERVICE = "easier-warehouse-biz";

    /**
     * QRTZ 中心
     */
    public static final String QRTZ_SERVICE = "easier-quartz-biz";

    /**
     * CHECKOUT 中心
     */
    public static final String CHECKOUT_SERVICE = "easier-checkout-biz";

    /**
     * MEMBERSHIP 中心
     */
    public static final String MEMBERSHIP_SERVER = "easier-membership-biz";

    /**
     * 流程引擎
     */
    public static final String FLOW_ENGINE_SERVER = "easier-flow-engine-biz";

    /**
     * 流程工单
     */
    public static final String FLOW_TASK_SERVER = "easier-flow-task-biz";

    /**
     * REPORT 中心
     */
    public static final String REPORT_SERVER = "easier-report-biz";

}
