package com.yaoyicloud.easier.common.data.mybatis;

import java.util.ArrayList;
import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;

import lombok.Data;

@Data
@RefreshScope
@ConfigurationProperties("easier.mybatis")
public class EasierMybatisProperties {

    /**
     * 是否打印可执行 sql
     */
    private boolean showSql = true;

    /**
     * 跳过表
     */
    private List<String> skipTable = new ArrayList<>();

}
