package com.yaoyicloud.easier.common.domain;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import com.yaoyicloud.easier.common.domain.enums.type.CommonType;

import lombok.AccessLevel;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 删除实体
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2024/01/24 13:26
 */
@Data
@NoArgsConstructor(access = AccessLevel.NONE)
public abstract class EasierDelEntity implements Serializable {
    private static final long serialVersionUID = -9031491888305921908L;

    @NotNull(message = "删除类型必填")
    protected CommonType.DeleteType deleteType;
}
