package com.yaoyicloud.easier.common.domain.common;

import java.io.Serializable;

import com.yaoyicloud.easier.common.domain.enums.type.CommonType;

import lombok.Data;

/**
 * 内容项模型
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2024/03/21 15:23
 */
@Data
public final class CommonContentItemModel implements Serializable {
    private static final long serialVersionUID = 9172389512593386039L;

    private CommonType.ContentItemType type;

    private CommonImageModel image;

    private String text;
}
