package com.yaoyicloud.easier.common.domain.enums.level;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 等级常量类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/09/14 13:58:43
 */
@Getter
public final class CommonLevel {

    // 通用等级
    @Getter
    @AllArgsConstructor
    public enum GeneralLevel {

        LEVEL_O("LV0", 0, "Lv.0"), LEVEL_1("LV1", 1, "Lv.1"), LEVEL_2("LV2", 2, "Lv.2"), LEVEL_3("LV3", 3, "Lv.3"),
        LEVEL_4("LV4", 4, "Lv.4"), LEVEL_5("LV5", 5, "Lv.5");

        @EnumValue
        private final String level;

        private final int val;

        private final String description;
    }

}
