package com.yaoyicloud.easier.common.domain.enums.level;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 会员等级枚举集合
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-11-06 10:56
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class MembershipLevel {

    // 会员vip
    @Getter
    @AllArgsConstructor
    public enum VIP {

        VIP0("V0", "普通会员"), VIP1("V1", "VIP1");

        @EnumValue
        private final String level;
        private final String description;

    }
}
