package com.yaoyicloud.easier.common.domain.enums.state;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * WORKSPACE 状态
 *
 * @author jimmy
 * @version 1.0.0
 * @date 12/29/23 14:17
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class WorkspaceState {

    // 日程状态
    @Getter
    @AllArgsConstructor
    public enum ScheduleState {

        PLANNING("PLANNING", "计划中"), NOT_START("NOT_START", "未开始"), END("END", "结束");

        @EnumValue
        private final String state;
        private final String description;
    }
}
