package com.yaoyicloud.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 财税合规风险版本类型
 *
 * @author snows
 * @date 2024/09/08
 */
@Getter
@AllArgsConstructor
public enum FinancialTaxVersionType {

    BASIC("BASIC", "基础版"), PLUS("PLUS", "PLUS版");

    /**
     * 类型
     */
    @EnumValue
    private final String type;

    /**
     * 描述
     */
    private final String desc;
}
