package com.yaoyicloud.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 充值类型(业务)
 *
 * @author snows
 * @date 2025/02/11
 */
@Getter
@AllArgsConstructor
public enum RechargeBizPayType {
    FULLY_PREPAID("FULLY_PREPAID", "全额预付"), HYBRID_PAID("HYBRID_PAID", "混合付费");

    /**
     * 类型
     */
    @EnumValue
    private final String type;

    /**
     * 描述
     */
    private final String desc;
}
