package com.yaoyicloud.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 充值订单状态
 *
 * @author snows
 * @date 2024/09/09
 */
@Getter
@AllArgsConstructor
public enum RechargeOrderState {

    UNPAID("UNPAID", "未支付"), FINISHED("FINISHED", "已支付");

    /**
     * 状态
     */
    @EnumValue
    private final String state;

    /**
     * 描述
     */
    private final String desc;
}
