package com.yaoyicloud.easier.common.core.constant;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

/**
 * 分页常量
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-12-19 11:25
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class PaginationConstants {

    /**
     * 当前页
     */
    public static final String CURRENT = "current";

    /**
     * 每页大小
     */
    public static final String SIZE = "size";

}
