package com.yaoyicloud.easier.common.data.tenant;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.client.ClientHttpRequestInterceptor;

import feign.RequestInterceptor;

@Configuration
public class EasierTenantConfiguration {

    @Bean
    public RequestInterceptor easierFeignTenantInterceptor() {
        return new EasierFeignTenantInterceptor();
    }

    @Bean
    public ClientHttpRequestInterceptor easierTenantRequestInterceptor() {
        return new TenantRequestInterceptor();
    }

}
