package com.yaoyicloud.easier.common.domain.common;

import java.io.Serializable;

import lombok.Data;

/**
 * 通用附件项模型
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2024/03/21 15:16
 */
@Data
public final class CommonAttachmentItemModel implements Serializable {
    private static final long serialVersionUID = 7332548757187843583L;

    /**
     * 附件名称
     */
    private String name;

    /**
     * 附件URL
     */
    private String url;

    /**
     * 缩略图URL
     */
    private String thumbnail;

}
