package com.yaoyicloud.easier.common.domain.common;

import java.io.Serializable;

import lombok.Data;

/**
 * 通用地点实体
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-10-15 20:03
 */
@Data
public final class CommonLocation implements Serializable {
    private static final long serialVersionUID = -8084107044975538320L;

    /**
     * 地点名称
     */
    private String site;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 城市编码
     */
    private String cityCode;

    /**
     * 地址编码
     */
    private String addressCode;
}
