package com.yaoyicloud.easier.common.domain.enums.flag;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 文件枚举类型
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-10-12 13:27
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class FilerepoFlag {

    // 操作标记枚举
    @Getter
    @AllArgsConstructor
    public enum LogFlag {

        NORMAL("NORMAL", "正常"), ERROR("ERROR", "异常");

        @EnumValue
        private final String flag;
        private final String description;

    }

}
