package com.yaoyicloud.easier.common.domain.enums.level;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * Filerepo 等级
 *
 * @author jimmy
 * @version 1.0.0
 * @date 1/2/24 09:28
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class FilerepoLevel {

    // 企业风控等级
    @Getter
    @AllArgsConstructor
    public enum EnterpriseRiskLevel {

        A("A", "等级A"), B("B", "等级B"), C("C", "等级C"), D("D", "等级D");

        @EnumValue
        private final String level;
        private final String description;
    }
}
