package com.yaoyicloud.easier.common.domain.enums.level;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 库存等级
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/09/14 13:58:43
 */
@Getter
public final class WarehouseLevel {

    // Gig包等级
    @Getter
    @AllArgsConstructor
    public enum GigPackageLevel {

        BASIC("BASIC", 0, "基础班"), STANDARD("STANDARD", 1, "标准版"), PREMIUM("PREMIUM", 2, "白金版");

        @EnumValue
        private final String level;
        private final int val;
        private final String description;
    }

}
