package com.yaoyicloud.easier.common.domain.enums.state;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 订单中心状态枚举
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-11-18 11:28
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class OmsState {

    // 订单状态
    @Getter
    @AllArgsConstructor
    public enum OrderState {

        PENDING("PENDING", "待支付"), PAID("PAID", "已支付"), PAY_FAIL("PAY_FAIL", "支付失败");

        @EnumValue
        private final String state;
        private final String description;

    }
}
