package com.yaoyicloud.easier.common.domain.enums.type;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 订单中心类型枚举
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-11-18 11:28
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class OmsType {

    // 订单类型
    @Getter
    @AllArgsConstructor
    public enum OrderType {

        CAMP("CAMP", "营地");

        @EnumValue
        private final String type;
        private final String description;

    }
}
