package com.yaoyicloud.constant;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

/**
 * 缓存常量
 *
 * @author jimmy
 * @version 1.0.0
 * @date 1/6/24 20:55
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class FilerepoCacheConstants {

    public static final String ENT_RISK_INFO_REMOTE_TEMP_KEY = "ent:risk:info:temp:%s:%s";
    public static final String ENT_RISK_INV_REMOTE_TEMP_KEY = "ent:risk:inv:temp:%s:%s";
    public static final String ENT_RISK_PID_REMOTE_TEMP_KEY = "ent:risk:pid:temp:%s:%s";
    public static final String ENT_RISK_FINANCIALTAX_RISKS_TEMP_KEY = "ent:risk:financialtax:risks:temp:%s:%s";
    public static final String ENT_RISK_FINANCIALTAX_CALLBACKL_TEMP_KEY = "ent:risk:financialtax:callback:temp:%s:%s";
    public static final String ENT_RISK_QXB_BASE_INFO_REMOTE_TEMP_KEY = "ent:risk:qxb:base:info:temp:%s:%s";
    public static final String ENT_PAY_QRCODE_TEMP_KEY = "ent:pay:qrcode:temp:%s:%s:%s";

    public static final String ENT_RISK_INFO_IDEM_KEY = "ent\\:risk\\:info\\:idem\\:";
    public static final String ENT_RISK_INV_IDEM_KEY = "ent\\:risk\\:INV\\:idem\\:";
    public static final String ENT_RISK_BATCH_INV_IDEM_KEY = "ent\\:risk\\:batch\\:inv\\:idem\\:";
    public static final String ENT_RISK_FINANCIALTAX_EMAIL_IDEM_KEY = "ent\\:risk\\:financialtax\\:email\\:";
    public static final String ENT_RISK_FINANCIALTAX_AUTH_IDEM_KEY = "ent\\:risk\\:financialtax\\:auth\\:";

    public static final String ENT_RISK_PLUS_CHECK_REPORT = "ent:risk:plus:check:report:%s";
    public static final String ENT_RISK_PLUS_CHECK_REPORT_RATE_LIMITING_KEY =
        "ent:risk:plus:check:report:rate:limiting";
}
