package com.yaoyicloud.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 充值渠道类型
 *
 * @author snows
 * @date 2024/09/09
 */
@Getter
@AllArgsConstructor
public enum RechargeChannelType {

    SYSTEM_BACKGROUND("SYSTEM_BACKGROUND", "系统后台");

    /**
     * 类型
     */
    @EnumValue
    private final String type;

    /**
     * 描述
     */
    private final String desc;
}
