package com.yaoyicloud.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 充值渠道类型
 *
 * @author snows
 * @date 2024/09/09
 */
@Getter
@AllArgsConstructor
public enum RechargePayType {

    TELEGRAPHIC_TRANSFER("TELEGRAPHIC_TRANSFER", "对公转账"), ALLINPAY("ALLINPAY", "通联支付");

    /**
     * 类型
     */
    @EnumValue
    private final String type;

    /**
     * 描述
     */
    private final String desc;
}
