package com.yaoyicloud.feign.config;

import java.util.concurrent.TimeUnit;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import feign.Request;

/**
 * feign config
 *
 * @author snows
 * @date 2025/04/25
 */
@Configuration
public class FeignConfig {
    @Bean
    public Request.Options options() {
        // 设置连接超时和读取超时
        // 连接超时5000ms，读取超时10000ms
        return new Request.Options(50000, TimeUnit.MILLISECONDS, 50000, TimeUnit.MILLISECONDS, Boolean.TRUE);
    }
}
