package com.yaoyicloud.tools;

import com.itextpdf.kernel.geom.Rectangle;

import lombok.Data;

@Data
public class TocEntity {
    private String title;
    private int pageNumber;
    private int level;
    private Rectangle rect;
    private float fontSize;
    private  float paragraphHeight;

    public TocEntity(String title, int pageNumber, int level, Rectangle rect, float fontSize, float paragraphHeight) {
        this.title = title;
        this.pageNumber = pageNumber;
        this.level = level;
        this.rect = rect;
        this.fontSize = fontSize;
        this.paragraphHeight = paragraphHeight;
    }
}
